Bug 1650194 - When using Custom storage configuration I am unable to free space, the only option to free space is using Automatic partitioning
Summary: When using Custom storage configuration I am unable to free space, the only o...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: anaconda
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 14:59 UTC by Sterling Alexander
Modified: 2018-11-26 16:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 16:09:42 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
custom_spoke_remove.png (140.44 KB, image/png)
2018-11-26 12:20 UTC, Jiri Konecny
no flags Details

Description Sterling Alexander 2018-11-15 14:59:06 UTC
Description of problem:  When installing RHEL 8 onto a disk with an existing installation, I am not given the option to free space when selection "Custom" under "Storage Configuration".  The only way to install is "Automatic" with the 'I would like to make additional space available' toggled.


Version-Release number of selected component (if applicable):  8.0 public beta


How reproducible:  100% of the time


Steps to Reproduce:
1.  Boot anaconda, on a system with an existing installation/partition layout.
2.  Select "Installation Destination"
2.  Select the existing installation disk and toggle the "Custom" radio button under "Storage Configuration"
3.  There is no way to free/reclaim space

Actual results:  There is no way to free/reclaim space to set up a custom partition/LVM layout


Expected results:  Space can be reclaimed to set up the disk as desired.


Additional info:

Comment 1 Jiri Konecny 2018-11-23 09:33:26 UTC
Hello Sterling,

The Custom partitioning spoke doesn't have generic reclaim space. This spoke operates on lower level of abstraction. You should be able to remove existing partitions by opening list of existing partitions selecting one you want to remove and remove it. If you want to remove all the partitions from the same installation you can use checkbox in the remove dialog to remove all other partitions.

Is this feasible solution for you?

Comment 2 Sterling Alexander 2018-11-23 14:47:34 UTC
Jiri,

Maybe I'm missing something.  I can go through the partition removal if I do "Automatic" and select the checkbox, but those operations are cancelled when I select the "Custom" radio button, which means I have no reclaimed space for my new setup and no way to actually reclaim space. 

I think having the checkbox available for both selections would solve the issue.

Comment 3 Jiri Konecny 2018-11-26 12:20:04 UTC
Created attachment 1508551 [details]
custom_spoke_remove.png

Comment 4 Jiri Konecny 2018-11-26 12:21:15 UTC
I attached the screenshot to explain about what I was talking at comment 1.

Comment 5 Sterling Alexander 2018-11-26 13:19:47 UTC
Jiri,

Thanks, that worked for me (and I can't believe I missed it every time).

One suggestion would be to have the detected info on existing partitions displayed by default instead of collapsed in the UI element.

Thanks for looking.

Sterling

Comment 6 Jiri Konecny 2018-11-26 16:09:42 UTC
Good to hear that your issue was solved.

Having those opened by default is something you don't want when you have a pretty big installation (high number of partitions) already installed and don't want to remove them. However, if you really think that would be valuable, please open another issue as RFE.

I'm closing this one now.


Note You need to log in before you can comment on or make changes to this bug.